#include "bullet.h"
#include "sprite.h"
#include<math.h>

BULLET::BULLET()
{
	angle = 0;
	//sBullet = NULL;
	type = 0;
	sBullet = new SPRITE;
}

BULLET::~BULLET()
{

}

void BULLET::load(int dangle, int dx, int dy)
{	
	if(type == 0)
	{
		sBullet->load("orb.bmp", 16, 16, 4);
		range = 250;
		sBullet->xspeed = 5;
		sBullet->yspeed = 5;
		sBullet->framedelay = 5;		
	}

	angle = dangle;
	sBullet->x = dx;
	sBullet->y = dy;
	start_x = dx;
	start_y = dy;
	sBullet->alive = true;
	

}

void BULLET::update()
{
	sBullet->y += sBullet->yspeed * fixtoi(fixcos(itofix((int)angle/1.40625)));
	sBullet->x -= sBullet->xspeed * fixtoi(fixsin(itofix((int)angle/1.40625)));	
	sBullet->animate();
}
