#ifndef _CART_H_
#define _CART_H_

#include "allegro.h"
#include "sprite.h"

enum AXIS{HORIZONTAL, VERTICAL};
class CART	
{
public:
	SPRITE *mobile;
	SPRITE *turret;
	SPRITE *gun;
	BITMAP *bImage;
	int x, y;
	bool engine;
	int engine_delay;
	float engine_speed;
	int max_speed;
	int angle;
	int MODE;
	AXIS alignment;
	DIRECTION facing;
	DIRECTION moving;

	CART();
	~CART();

	void load(int color);
	void draw();
	void stabalize();
	void increase_speed(double value);
	void decrease_speed(double value);

	

};

#endif _CART_H_